Launching epoptes ended with an OpenSSL error

Bug #1699756 reported by Dash on 2017-06-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
epoptes (Ubuntu)
Undecided
Unassigned

Bug Description

Hi,

dh@deex$ sudo systemctl start epoptes ; => failed

Output of 'journalctl -xe'

-- L'unité (unit) epoptes.service a commencé à démarrer.
juin 22 12:30:12 deex epoptes[13240]: * Starting the epoptes daemon
juin 22 12:30:13 deex epoptes[13240]: An error has occurred: '[('x509 certificate routines', 'X509_check_private_key', 'key values mismatch')]'
juin 22 12:30:13 deex epoptes[13240]: Please look at log file for more information.
juin 22 12:30:13 deex epoptes[13240]: ...fail!
juin 22 12:30:13 deex systemd[1]: epoptes.service: Control process exited, code=exited status=1
juin 22 12:30:13 deex systemd[1]: Failed to start LSB: Epoptes service.
-- Subject: L'unité (unit) epoptes.service a échoué
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
--
-- L'unité (unit) epoptes.service a échoué, avec le résultat failed.
juin 22 12:30:13 deex systemd[1]: epoptes.service: Unit entered failed state.
juin 22 12:30:13 deex systemd[1]: epoptes.service: Failed with result 'exit-code'.

Attached is the output of epoptes.log

Thanks for your support

Daniel

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: epoptes 0.5.10-1
ProcVersionSignature: Ubuntu 4.4.0-81.104-generic 4.4.67
Uname: Linux 4.4.0-81-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.6
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Jun 22 12:33:36 2017
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-precise-amd64-20130203-1
InstallationDate: Installed on 2013-10-13 (1347 days ago)
InstallationMedia: Ubuntu 12.04 "Precise" - Build amd64 LIVE Binary 20130203-13:50
PackageArchitecture: all
SourcePackage: epoptes
UpgradeStatus: Upgraded to xenial on 2016-10-05 (259 days ago)

Dash (devel-tootai) wrote :
Alkis Georgopoulos (alkisg) wrote :

Hi, what is the output of this command?

ls -l /etc/epoptes

It sounds like your server.crt does not match your server.key, maybe one of them has zero size?

Changed in epoptes (Ubuntu):
status: New → Incomplete
Dash (devel-tootai) wrote :

Hi Alkis

I reinstalled the epoptes package to be sure. I know it was working, doesn't remember if it was 14.04 or 16.04. Output is

dh@deex:~$ ls -l /etc/epoptes/
total 8
-rw-r--r-- 1 root root 1919 mars 2 2016 server.crt
-rw------- 1 root root 916 mars 2 2016 server.key

Daniel

Alkis Georgopoulos (alkisg) wrote :

Reinstalling epoptes doesn't generate a new certificate, as you can see from the dates there, which are 2016.

Run this:
sudo apt-get purge apoptes
sudo apt-get install epoptes

See if it works after that. If yes, it was a broken certificate case.

Dash (devel-tootai) wrote :

Alkis,

that did the trick, it's now working, ticket can be closed.

Thanks for your support.

--
Daniel

Alkis Georgopoulos (alkisg) wrote :

Closing as invalid.

Changed in epoptes (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers